# pion::plugins::LogService Class Reference

`#include <LogService.hpp>`

Inherits pion::net::WebService.

List of all members.

## Detailed Description

LogService: web service that displays log messages

Definition at line 119 of file LogService.hpp.

## Public Member Functions

| LogService (void)
virtual | ~LogService ()
virtual void | operator() (pion::net::HTTPRequestPtr &request, pion::net::TCPConnectionPtr &tcp_conn)
| handles requests for LogService
LogServiceAppender & | getLogAppender (void)
| returns the log appender used by LogService

The documentation for this class was generated from the following files:

- net/services/LogService.hpp
- net/services/LogService.cpp